Read one of your notifications
GET /api/member/notifications/{notificationId}. Read one of your notifications. Headless LMS Notifications API reference.
For any member of the organization. The notification as the list shows it, with current titles, names and excerpts; reading it does not mark it read. 404 when it is not yours or was not shown in the app.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/notifications/string"{ "id": "string", "type": "string", "scope": "org", "reasons": [ "subject" ], "matchedReason": "subject", "category": "string", "display": { "property1": null, "property2": null }, "community": { "id": "string", "title": "string" }, "space": { "id": "string", "name": "string" }, "actor": { "orgUserId": "string", "name": "string", "imageUrl": "string" }, "subject": { "type": "post", "id": "string", "title": "string", "excerpt": "string" }, "parent": { "type": "post", "id": "string", "title": "string", "excerpt": "string" }, "createdAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Count your unread notifications in the org list and in each community GET
GET /api/member/notifications/unread-counts. Count your unread notifications in the org list and in each community. Headless LMS Notifications API reference.
Mark one of your notifications read POST
POST /api/member/notifications/{notificationId}/read. Mark one of your notifications read. Headless LMS Notifications API reference.